import path_setting
from in_common.base_request import BaseRequest


class beautycard_request(BaseRequest):
    def __init__(self):
        #更美次卡-获取已添加页面次卡spu/sku列表
        self.data = self.api_load(path_setting.GET_RELATED_BC_CONFIG)
        # 更美次卡-删除/批量删除已添加页面次卡
        self.data = self.api_load(path_setting.DELETE_RELATED_BC_CONFIG)

    #更美次卡-获取已添加页面次卡spu/sku列表
    def get_related_bc(self, unit_id, bc_sku_id, bc_spu_id, page, page_size):
        self.params["unit_id"] = unit_id
        self.params["bc_sku_id"] = bc_sku_id
        self.params["bc_spu_id"] = bc_spu_id
        self.params["page"] = page
        self.params["page_size"] = page_size

        return self.api_send(self.data["get_related_bc"])

    #更美次卡-删除/批量删除已添加页面次卡
    def delete_related_bc(self, unit_id, bc_sku_ids, bc_spu_ids, related_type):
        self.params["unit_id"] = unit_id
        self.params["bc_sku_ids"] = bc_sku_ids
        self.params["bc_spu_ids"] = bc_spu_ids
        self.params["related_type"] = related_type

        return self.api_send(self.data["delete_related_bc"])

if __name__ == '__main__':
    print(beautycard_request().get_related_bc("20105", "", "", "0", "10"))
    print(beautycard_request().delete_related_bc("19931", "[10163]", "[]", "8"))